MOUNT_TFS(8)

NAME
mount_tfs, umount_tfs - mount and dismount TFS filesystems

SYNOPSIS

/usr/etc/mount_tfs [ -r ] fs1 fs2 ... fsN dir
/usr/etc/mount -t tfs [ -o options ] fs dir

/usr/etc/umount_tfs dir
/usr/etc/umount dir

DESCRIPTION

mount_tfs attaches a translucent file service (TFS) filesystem to the directory dir. After the mount, the directory dir is a TFS directory whose frontmost directory is fs1 and whose backmost directory is dir, with any number of directories intervening. Effectively, the directories fs1 ... fsN are stacked in front of dir.)

TFS filesystems can also be mounted using the mount(8) command. The mount command can only mount one directory, fs, in front of the backmost directory, dir.

umount_tfs detaches the TFS filesystem rooted at dir. See tfs(4S) for a description of a TFS filesystem.

OPTIONS

-r  Mount the TFS filesystem read-only.

SEE ALSO
lsw(1), unwhiteout(1), tfs(4S), mount(8), tfsd(8)

BUGS

mount_tfs will cause tfsd(8) to deadlock (hang and answer no more requests) if it is used in conjunction with Network Software Environment (NSE) execsets. For example, a deadlock will occur if a user has used mount_tfs to mount over /usr/lib, and then tries to activate an NSE environment whose execset mounts over /usr/lib.

The directories fs1, fs2, ..., fsN must be writable.